# Continuous2DFunction Class Reference

This is a TabulatedFunction that computes a continuous two dimensional function. More...

Inheritance diagram for Continuous2DFunction:

List of all members.

## Public Member Functions
def | __init__
| __init__(OpenMM.Continuous2DFunction self, int xsize, int ysize, vectord values, double xmin, double xmax, double ymin, double ymax) -> Continuous2DFunction
def | getFunctionParameters
| getFunctionParameters(Continuous2DFunction self)
def | setFunctionParameters
| setFunctionParameters(Continuous2DFunction self, int xsize, int ysize, vectord values, double xmin, double xmax, double ymin, double ymax)
def | Copy
| Copy(Continuous2DFunction self) -> Continuous2DFunction.
def | __del__
| __del__(OpenMM.Continuous2DFunction self)
## Public Attributes
| this

## Detailed Description

This is a TabulatedFunction that computes a continuous two dimensional function.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(OpenMM.Continuous2DFunction self)

Reimplemented from TabulatedFunction.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(OpenMM.Continuous2DFunction self, int xsize, int ysize, vectord values, double xmin, double xmax, double ymin, double ymax) -> Continuous2DFunction

This is a TabulatedFunction that computes a continuous two dimensional function.

def Copy | ( |  | self | ) |

Copy(Continuous2DFunction self) -> Continuous2DFunction.

Reimplemented from TabulatedFunction.

def getFunctionParameters | ( |  | self | ) |

getFunctionParameters(Continuous2DFunction self)

def setFunctionParameters | ( |  | self,
|  |  | args |
| ) |  |  |

setFunctionParameters(Continuous2DFunction self, int xsize, int ysize, vectord values, double xmin, double xmax, double ymin, double ymax)

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py